%define anolis_release 1
%global xdriinfo_ver 1.0.7
%global xdriinfo xdriinfo-%{xdriinfo_ver}

Summary: Mesa demos
Name: mesa-demos
Version: 9.0.0
Release: %{anolis_release}%{?dist}
License: MIT
URL: http://www.mesa3d.org
Source0: https://archive.mesa3d.org/demos/%{name}-%{version}.tar.xz
Source1: http://www.x.org/pub/individual/app/%{xdriinfo}.tar.xz
Source2: mesad-git-snapshot.sh
# Patch pointblast/spriteblast out of the Makefile for legal reasons
Patch0: mesa-demos-8.5.0-legal.patch
# mesa-demos requirements
BuildRequires: meson >= 0.53
BuildRequires: pkgconfig(egl)
BuildRequires: pkgconfig(gl)
BuildRequires: pkgconfig(glesv1_cm)
BuildRequires: pkgconfig(glesv2)
BuildRequires: pkgconfig(glu)
BuildRequires: pkgconfig(glut)
BuildRequires: pkgconfig(libdecor-0) >= 0.1
BuildRequires: pkgconfig(libdrm)
BuildRequires: pkgconfig(osmesa)
BuildRequires: pkgconfig(vulkan)
BuildRequires: pkgconfig(wayland-client)
BuildRequires: pkgconfig(wayland-egl)
BuildRequires: pkgconfig(wayland-protocols) >= 1.12
BuildRequires: pkgconfig(wayland-scanner)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xcb)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xkbcommon)
BuildRequires: pkgconfig(xkbcommon-x11)
BuildRequires: /usr/bin/glslangValidator
#xdriinfo requirements
BuildRequires: make
BuildRequires: pkgconfig(glproto)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xorg-macros) >= 1.8

%description
This package provides some demo applications for testing Mesa.

%package -n glx-utils
Summary: GLX utilities
Provides: glxinfo
Provides: xdriinfo = %{xdriinfo_ver}

%description -n glx-utils
The glx-utils package provides the glxinfo and glxgears utilities.

%package -n egl-utils
Summary: EGL utilities
Provides: eglinfo es2_info

%description -n egl-utils
The egl-utils package provides the eglinfo and es2_info utilities.

%prep
%setup -q -n %{name}-%{version} -b1
%patch0 -p1 -b .legal

%build
%meson --bindir=%{_libexecdir}/mesa -Dwith-system-data-files=true
%meson_build

pushd ../%{xdriinfo}
%configure
%make_build
popd

%install
%meson_install

pushd ../%{xdriinfo}
%make_install
popd

install -m 0755 %{buildroot}%{_libexecdir}/mesa/{glxgears,glxinfo,eglinfo,es2_info} %{buildroot}%{_bindir}

%generate_compatibility_deps

%files
%{_libexecdir}/mesa
%{_datadir}/%{name}

%files -n glx-utils
%dir %{abidir}
%{_bindir}/glxinfo*
%{_bindir}/glxgears
%{_bindir}/xdriinfo
%{abidir}/glxinfo*-option.list
%{_mandir}/man1/xdriinfo.1*

%files -n egl-utils
%{_bindir}/eglinfo
%{abidir}/eglinfo-option.list
%{_bindir}/es2_info

%changelog
* Sat Mar 25 2023 Funda Wang <fundawang@yeah.net> - 9.0.0-1
- New version 9.0.0

* Thu Jan 19 2023 Funda Wang <fundawang@yeah.net> - 8.5.0-1
- New verison 8.5.0 (xdriinfo 1.0.7)

* Thu Oct 27 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 8.4.0-2.20220507git
- optimise spec file

* Mon May 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 8.4.0-1.20220507git
- Init from upstream version 8.4.0
